import { SerializableMap, CommandResult } from 'resolve-core';
import { ReadModelParams } from './read-model';
import { SagaParams } from './saga';
import { BDDAggregate } from './aggregate';
export { BDDAggregate };
declare const _default: (events: any[]) => GivenEventsContext;
export default _default;
export declare const RESOLVE_SIDE_EFFECTS_START_TIMESTAMP = "RESOLVE_SIDE_EFFECTS_START_TIMESTAMP";
export interface GivenEventsContext {
    all: any;
    createQuery: any;
    createCommand: any;
    as: (jwt: any) => GivenEventsContext;
    readModel: (params: ReadModelParams) => GivenEventsContext;
    transformEvents: any;
    saga: (params: SagaParams) => GivenEventsContext;
    properties: (sagaPropertied: any) => GivenEventsContext;
    getDefaultSecretsManager: any;
    setSecretsManager: any;
    aggregate: (aggregate: BDDAggregate, aggregateId?: string) => GivenEventsContext;
    command: (name: string, payload?: SerializableMap) => GivenEventsContext;
    shouldProduceEvent: (expectedEvent: CommandResult) => GivenEventsContext;
    shouldThrow: (expectedError: any) => GivenEventsContext;
}
